<?php
/**
 * ------------------------------------------------------------------------
 * JA Wall Template for Joomla25
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2011 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - Copyrighted Commercial Software
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites:  http://www.joomlart.com -  http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
 */

// no direct access
defined('_JEXEC') or die('Restricted access');
// Create a shortcut for params.

JHtml::addIncludePath(JPATH_COMPONENT.'/helpers/html');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.framework', true);

$params = &$this->item->params;
$canEdit = $params->get('access-edit');

$images = new stdClass();
if (isset($this->item->images)) {
	$images = json_decode($this->item->images);
}

// get extended classes
$metadataParams = new JRegistry;
$metadataParams->loadString($this->item->metadata);
$xclass = $metadataParams->get('xclass');

$app = JFactory::getApplication();
$tmpl = $app->getTemplate(true);
$hothits = $tmpl->params->get ('hothits', 1000);

$atitle = $this->escape($this->item->title);

// detail link
if ($params->get('access-view')) :
	$link = JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid));
else :
	$menu = JFactory::getApplication()->getMenu();
	$active = $menu->getActive();
	$itemId = $active->id;
	$link1 = JRoute::_('index.php?option=com_users&view=login&Itemid=' . $itemId);
	$returnURL = JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid));
	$link = new JURI($link1);
	$link->setVar('return', base64_encode($returnURL));
endif;

	// build intro images
	if ($tmpl->params->get ('jawall_autoimg', 1)){
		WallHelper::buildImage($images, $this->item);
	}

	// build intro content
	// get some first paragraph in introtext, trip tags (keep a, strong, br, b...)
	$introtext = WallHelper::extractFirstParagraph($this->item->introtext);

	$iclass = array('item', strtolower($this->item->category_alias));
	if(!empty($xclass)){ $iclass[] = $xclass; }
	if($this->item->state == 0){ $iclass[] = 'system-unpublished'; }
	if($this->item->hits >= $hothits){ $iclass[] = 'item-hot'; }
	if(empty($images->image_intro)){ $iclass[] = 'no-image'; }

	?>
	<div class="<?php echo implode(' ', $iclass) ?>">
		<div class="inner item-inner clearfix">
		
		<?php if(strpos($xclass, 'advertisement') !== false) : ?>
			<div class="item-main clearfix">
				<?php echo $this->item->introtext ?>
			</div>
		<?php else : ?>

			<?php if ($this->item->state == 0) : ?>
			<div class="system-unpublished">
			<?php endif; ?>

			<!-- Item Img -->
			<div class="item-image">
			<?php  if (isset($images->image_intro) and !empty($images->image_intro)) : ?>
				<?php $imgfloat = (empty($images->float_intro)) ? $params->get('float_intro') : $images->float_intro; ?>
				<div class="img-intro-<?php echo htmlspecialchars($imgfloat); ?>">
					<?php if ($params->get('link_titles') && $params->get('access-view')) : ?>
					<a href="<?php echo $link; ?>" title="<?php echo $atitle ?>" class="item-link">
					<?php endif; ?>
						<img
							<?php if ($images->image_intro_caption):
								echo 'class="caption"'.' title="' .htmlspecialchars($images->image_intro_caption) .'"';
							endif; ?>
							src="<?php echo htmlspecialchars($images->image_intro); ?>" alt="<?php echo htmlspecialchars($images->image_intro_alt); ?>"/>
					<?php if ($params->get('link_titles') && $params->get('access-view')) : ?>
						<span>&nbsp;</span>
						<span class="item-pin">&nbsp;</span>
					</a>
					<?php endif; ?>
				</div>
			<?php endif; ?>
			</div>
			<!-- //Item Img -->

			<div class="item-main clearfix">

			<!-- Item header -->
			<div class="header item-header clearfix">
			<?php if ($params->get('show_title')) : ?>
				<h2>
					<?php if ($params->get('link_titles') && $params->get('access-view')) : ?>
						<a href="<?php echo $link; ?>" title="<?php echo $atitle ?>" class="item-link">
						<?php echo $atitle ?></a>
					<?php else : ?>
						<?php echo $atitle ?>
					<?php endif; ?>
					
				<?php if ($params->get('show_print_icon') || $params->get('show_email_icon') || $canEdit) : ?>
					<ul class="actions">
						<?php if ($params->get('show_print_icon')) : ?>
						<li class="print-icon">
							<?php echo JHtml::_('icon.print_popup', $this->item, $params, array(), true); ?>
						</li>
						<?php endif; ?>
						<?php if ($params->get('show_email_icon')) : ?>
						<li class="email-icon">
							<?php echo JHtml::_('icon.email', $this->item, $params, array(), true); ?>
						</li>
						<?php endif; ?>
						<?php if ($canEdit) : ?>
						<li class="edit-icon">
							<?php echo JHtml::_('icon.edit', $this->item, $params, array(), true); ?>
						</li>
						<?php endif; ?>
					</ul>
				<?php endif; ?>
				</h2>
			<?php endif; ?>
			

			<?php if (($params->get('show_author')) or ($params->get('show_category')) or ($params->get('show_create_date')) or ($params->get('show_modify_date')) or ($params->get('show_publish_date')) or ($params->get('show_parent_category'))) : ?>
				<dl class="article-info">
					<dt class="article-info-term"><?php echo JText::_('COM_CONTENT_ARTICLE_INFO'); ?></dt>
			<?php endif; ?>

			<?php if ($params->get('show_parent_category') && $this->item->parent_id != 1) : ?>
					<dd class="parent-category-name">
						<?php $title = $this->escape($this->item->parent_title);
							$url = '<a href="' . JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->parent_id)) . '">' . $title . '</a>'; ?>
						<?php if ($params->get('link_parent_category')) : ?>
							<?php echo JText::sprintf('COM_CONTENT_PARENT', $url); ?>
							<?php else : ?>
							<?php echo JText::sprintf('COM_CONTENT_PARENT', $title); ?>
						<?php endif; ?>
					</dd>
			<?php endif; ?>

			<?php if ($params->get('show_category')) : ?>
					<dd class="category-name">
						<?php $title = $this->escape($this->item->category_title);
							$url = '<a href="' . JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->catid)) . '">' . $title . '</a>'; ?>
						<?php if ($params->get('link_category')) : ?>
							<?php echo JText::sprintf('TPL_WALL_COM_CONTENT_CATEGORY', $url); ?>
							<?php else : ?>
							<?php echo JText::sprintf('TPL_WALL_COM_CONTENT_CATEGORY', $title); ?>
						<?php endif; ?>
					</dd>
			<?php endif; ?>

			<?php if ($params->get('show_create_date')) : ?>
					<dd class="create">
					<?php echo JText::sprintf('TPL_WALL_COM_CONTENT_CREATED_DATE_ON', JHtml::_('date', $this->item->created, JText::_('DATE_FORMAT_LC3'))); ?>
					</dd>
			<?php endif; ?>

			<?php if ($params->get('show_modify_date')) : ?>
					<dd class="modified">
					<?php echo JText::sprintf('COM_CONTENT_LAST_UPDATED', JHtml::_('date', $this->item->modified, JText::_('DATE_FORMAT_LC3'))); ?>
					</dd>
			<?php endif; ?>

			<?php if ($params->get('show_publish_date')) : ?>
					<dd class="published">
					<?php echo JText::sprintf('TPL_WALL_COM_CONTENT_PUBLISHED_DATE_ON', JHtml::_('date', $this->item->publish_up, JText::_('DATE_FORMAT_LC3'))); ?>
					</dd>
			<?php endif; ?>

			<?php if ($params->get('show_author') && !empty($this->item->author )) : ?>
				<dd class="createdby">
					<?php $author =  $this->item->author; ?>
					<?php $author = ($this->item->created_by_alias ? $this->item->created_by_alias : $author);?>

					<?php if (!empty($this->item->contactid ) &&  $params->get('link_author') == true):?>
						<?php echo JText::sprintf('COM_CONTENT_WRITTEN_BY' ,
						 JHtml::_('link', JRoute::_('index.php?option=com_contact&view=contact&id='.$this->item->contactid), $author)); ?>
					<?php else :?>
						<?php echo JText::sprintf('COM_CONTENT_WRITTEN_BY', $author); ?>
					<?php endif; ?>
				</dd>
			<?php endif; ?>

			<?php if (($params->get('show_author')) or ($params->get('show_category')) or ($params->get('show_create_date')) or ($params->get('show_modify_date')) or ($params->get('show_publish_date')) or ($params->get('show_parent_category'))) :?>
				</dl>
			<?php endif; ?>
		
			</div>
			<!-- //Item header -->

			<!-- Item content -->
			<div class="content item-content">
			<?php echo $introtext; ?>
			</div>
			<!-- //Item content -->

			<!-- Item footer -->
			<div class="footer item-footer clearfix">

			<?php if (!$params->get('show_intro')) : ?>
				<?php echo $this->item->event->afterDisplayTitle; ?>
			<?php endif; ?>

			<?php echo $this->item->event->beforeDisplayContent; ?>

			<?php // to do not that elegant would be nice to group the params ?>

			<?php if (($params->get('show_hits'))) : ?>
				<dl class="article-hit">
					<dd class="hits">
					<?php echo JText::sprintf('TPL_WALL_COM_CONTENT_ARTICLE_HITS', $this->item->hits); ?>
					</dd>
				</dl>
			<?php endif; ?>

			<?php if ($params->get('show_readmore') && $this->item->readmore) :
			?>
				<p class="readmore">
					<a href="<?php echo $link; ?>" title="<?php echo $atitle ?>" class="item-link">
						<?php if (!$params->get('access-view')) :
							echo JText::_('COM_CONTENT_REGISTER_TO_READ_MORE');
						elseif ($readmore = $this->item->alternative_readmore) :
							echo $readmore;
							if ($params->get('show_readmore_title', 0) != 0) :
								echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
							endif;
						elseif ($params->get('show_readmore_title', 0) == 0) :
							echo JText::sprintf('TPL_WALL_COM_CONTENT_READ_MORE_TITLE');
						else :
							echo JText::_('COM_CONTENT_READ_MORE');
							echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
						endif; ?>
					</a>
				</p>
			<?php endif; ?>

			<?php if ($this->item->state == 0) : ?>
			</div>
			<?php endif; ?>

			</div>
			<!-- //Item footer -->

		</div>
		<?php endif ?>

		<div class="item-separator">&nbsp;</div>
		<?php echo $this->item->event->afterDisplayContent; ?>
	</div>
	</div>
